Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class DefaultProjectDescriptor

    java.lang.Object
      org.gradle.initialization.DefaultProjectDescriptor

All Implemented Interfaces:
  ProjectDescriptor, org.gradle.api.internal.project.ProjectIdentifier

    public class DefaultProjectDescriptor

extends java.lang.Object
implements ProjectDescriptor, org.gradle.api.internal.project.ProjectIdentifier

Constructor Summary
`DefaultProjectDescriptor(DefaultProjectDescriptor parent, java.lang.String name, java.io.File dir, IProjectDescriptorRegistry projectDescriptorRegistry)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.io.File` | `getBuildFile()` Returns the build file for this project.
`java.lang.String` | `getBuildFileName()` Returns the name of the build file for this project.
`java.util.Set<ProjectDescriptor>` | `getChildren()` Returns the children of this project, if any.
`java.lang.String` | `getName()` Returns the name of this project.
`DefaultProjectDescriptor` | `getParent()` Returns the parent of this project, if any.
`org.gradle.api.internal.project.ProjectIdentifier` | `getParentIdentifier()`
`java.lang.String` | `getPath()` Returns the path of this project.
`IProjectDescriptorRegistry` | `getProjectDescriptorRegistry()`
`java.io.File` | `getProjectDir()` Returns the project directory of this project.
`int` | `hashCode()`
`void` | `setBuildFileName(java.lang.String name)` Sets the name of the build file.
`void` | `setName(java.lang.String name)` Sets the name of this project.
`void` | `setProjectDescriptorRegistry(IProjectDescriptorRegistry projectDescriptorRegistry)`
`void` | `setProjectDir(java.io.File dir)` Sets the project directory of this project.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultProjectDescriptor

    public DefaultProjectDescriptor(DefaultProjectDescriptor parent,
                                    java.lang.String name,
                                    java.io.File dir,
                                    IProjectDescriptorRegistry projectDescriptorRegistry)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ProjectDescriptor`
  Returns the name of this project.

  Specified by:
    `getName` in interface `ProjectDescriptor`
  Specified by:
    `getName` in interface `org.gradle.api.internal.project.ProjectIdentifier`
  Returns:
    The name of the project. Never returns null.

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `ProjectDescriptor`
  Sets the name of this project.

  Specified by:
    `setName` in interface `ProjectDescriptor`
  Parameters:
    `name` - The new name for the project. Should not be null

### getProjectDir

    public java.io.File getProjectDir()

  Description copied from interface: `ProjectDescriptor`
  Returns the project directory of this project.

  Specified by:
    `getProjectDir` in interface `ProjectDescriptor`
  Specified by:
    `getProjectDir` in interface `org.gradle.api.internal.project.ProjectIdentifier`
  Returns:
    The project directory. Never returns null.

### setProjectDir

    public void setProjectDir(java.io.File dir)

  Description copied from interface: `ProjectDescriptor`
  Sets the project directory of this project.

  Specified by:
    `setProjectDir` in interface `ProjectDescriptor`
  Parameters:
    `dir` - The new project directory. Should not be null.

### getParent

    public DefaultProjectDescriptor getParent()

  Description copied from interface: `ProjectDescriptor`
  Returns the parent of this project, if any. Returns null if this project is the root project.

  Specified by:
    `getParent` in interface `ProjectDescriptor`
  Returns:
    The parent, or null if this is the root project.

### getParentIdentifier

    public org.gradle.api.internal.project.ProjectIdentifier getParentIdentifier()

  Specified by:
    `getParentIdentifier` in interface `org.gradle.api.internal.project.ProjectIdentifier`

### getChildren

    public java.util.Set<ProjectDescriptor> getChildren()

  Description copied from interface: `ProjectDescriptor`
  Returns the children of this project, if any.

  Specified by:
    `getChildren` in interface `ProjectDescriptor`
  Returns:
    The children. Returns an empty set if this project does not have any children.

### getPath

    public java.lang.String getPath()

  Description copied from interface: `ProjectDescriptor`
  Returns the path of this project. The path can be used as a unique identifier for this project.

  Specified by:
    `getPath` in interface `ProjectDescriptor`
  Specified by:
    `getPath` in interface `org.gradle.api.internal.project.ProjectIdentifier`
  Returns:
    The path. Never returns null.

### getBuildFileName

    public java.lang.String getBuildFileName()

  Description copied from interface: `ProjectDescriptor`
  Returns the name of the build file for this project. This name is interpretted relative to the project directory.

  Specified by:
    `getBuildFileName` in interface `ProjectDescriptor`
  Returns:
    The build file name.

### setBuildFileName

    public void setBuildFileName(java.lang.String name)

  Description copied from interface: `ProjectDescriptor`
  Sets the name of the build file. This name is interpretted relative to the project directory.

  Specified by:
    `setBuildFileName` in interface `ProjectDescriptor`
  Parameters:
    `name` - The build file name. Should not be null.

### getBuildFile

    public java.io.File getBuildFile()

  Description copied from interface: `ProjectDescriptor`
  Returns the build file for this project.

  Specified by:
    `getBuildFile` in interface `ProjectDescriptor`
  Specified by:
    `getBuildFile` in interface `org.gradle.api.internal.project.ProjectIdentifier`
  Returns:
    The build file. Never returns null.

### getProjectDescriptorRegistry

    public IProjectDescriptorRegistry getProjectDescriptorRegistry()

### setProjectDescriptorRegistry

    public void setProjectDescriptorRegistry(IProjectDescriptorRegistry projectDescriptorRegistry)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD